Author Topic: Attn: Avast Team. Latest AIS version that includes 'SafeZone' for Athlon XP?  (Read 6265 times)

0 Members and 1 Guest are viewing this topic.

Offline Vladimyr

  • Avast Evangelist
  • Super Poster
  • ***
  • Posts: 1639
  • Super(massive black hole) Poster
Hi Guys

I need a definitive answer to this question.
What is the most recent version of AIS that will install 'SafeZone' on non-SSE2 CUs?

My client only upgraded from version 7 to version 9 last year and now he wants to go back wants to  AIS 7.0.1426 so he can use the 'SafeZone' featuer he's paid for. However, I'd prefer to use a more recent version if there is one that is compatible with his otherwise perfectly capable 400Mhz FSB, 2.2Ghz AMD CPU, SATA 2, SSD drive, systems.
There is a way that seems right to a man,
       but in the end it leads to death
.” - Proverbs 16:25

Offline Eddy

  • Avast Evangelist
  • Maybe Bot
  • ***
  • Posts: 31216
  • Watching (over?) you
    • Malware removal, Biljart and other things.
The latest version will work (2015.10.0.2208)

Offline Vladimyr

  • Avast Evangelist
  • Super Poster
  • ***
  • Posts: 1639
  • Super(massive black hole) Poster
The latest version will work (2015.10.0.2208)

Sadly not. SafeZone support for AMD Athlon XP processors ceased at some point. I'm trying to find out when that point was.
There is a way that seems right to a man,
       but in the end it leads to death
.” - Proverbs 16:25

Offline Asyn

  • Avast Überevangelist
  • Certainly Bot
  • *****
  • Posts: 76224
    • >>>  Avast Forum - Deutschsprachiger Bereich  <<<
Sadly not. SafeZone support for AMD Athlon XP processors ceased at some point. I'm trying to find out when that point was.
-> https://forum.avast.com/index.php?topic=158473.msg1143326#msg1143326
W8.1 [x64] - Avast PremSec 22.7.7366.BC [UI.713] - Firefox ESR 91.11 [NS/uBO/PB] - Thunderbird 91.11
Avast-Tools: Secure Browser 102.1 - Cleanup 22.2 - SecureLine 5.18 - DriverUpdater 22.2 - CCleaner 6.01
Avast Wissenswertes (Downloads, Anleitungen & Infos): https://forum.avast.com/index.php?topic=60523.0

Offline Vladimyr

  • Avast Evangelist
  • Super Poster
  • ***
  • Posts: 1639
  • Super(massive black hole) Poster
Sadly not. SafeZone support for AMD Athlon XP processors ceased at some point. I'm trying to find out when that point was.
-> https://forum.avast.com/index.php?topic=158473.msg1143326#msg1143326

Congratulations Asyn... for referring me to my own post!  ;D
There is a way that seems right to a man,
       but in the end it leads to death
.” - Proverbs 16:25

Offline Asyn

  • Avast Überevangelist
  • Certainly Bot
  • *****
  • Posts: 76224
    • >>>  Avast Forum - Deutschsprachiger Bereich  <<<
Oops, sorry. ;D
W8.1 [x64] - Avast PremSec 22.7.7366.BC [UI.713] - Firefox ESR 91.11 [NS/uBO/PB] - Thunderbird 91.11
Avast-Tools: Secure Browser 102.1 - Cleanup 22.2 - SecureLine 5.18 - DriverUpdater 22.2 - CCleaner 6.01
Avast Wissenswertes (Downloads, Anleitungen & Infos): https://forum.avast.com/index.php?topic=60523.0

Offline Eddy

  • Avast Evangelist
  • Maybe Bot
  • ***
  • Posts: 31216
  • Watching (over?) you
    • Malware removal, Biljart and other things.
I managed to keep SafeZone working on a XP system (Athlon) with the latest avast (2015.10.0.2208) free.
- Installed avast pro + safezone (licensed)
- Reverted to avast free.
- Updated (custom, without safezone) avast free to version to version 2015.10.2206 and after that to .2207 and .2208

avast is working and safezone as well  :D

Offline Vladimyr

  • Avast Evangelist
  • Super Poster
  • ***
  • Posts: 1639
  • Super(massive black hole) Poster
Thanks Eddy.
If I persist with this, I might try installing AIS 7.0.1426 and then custom installing 10.0.2208 without SafeZone (however, seeing as Ubuntu 14.04 is currently running really well on a spare drive on this rig and the owner is getting the hang of using Libre Office on all his old Office files....).
« Last Edit: November 11, 2014, 04:39:00 PM by Vladimyr »
There is a way that seems right to a man,
       but in the end it leads to death
.” - Proverbs 16:25

Offline pk

  • Avast team
  • Super Poster
  • *
  • Posts: 2085
I think we recompiled SafeZone to support non-SSE2 CPUs (~one month ago, before final avast 2015 was released) so it should work on older CPUs. What's your CPU exactly? Can you please run "system information" and write me your exact type? I also don't understand what you mean by "point" in this sentence "SafeZone support for AMD Athlon XP processors ceased at some point. I'm trying to find out when that point was.". Usually, if an app contains unsupported CPU instructions, it'd crash, not hang/deadlock/ or something else.

Offline Eddy

  • Avast Evangelist
  • Maybe Bot
  • ***
  • Posts: 31216
  • Watching (over?) you
    • Malware removal, Biljart and other things.
Attached are my hardware specifications.

Indeed when a unsupported CPU instructions encountered, the application would give a error, crashes or something.

SafeZone was working without a problem on my system with avast pro version 2014.9.0.2021 installed.
Since I don't have a valid license anymore, I can't test if (the latest) SafeZone is working on a non SSE2 system.

Offline Vladimyr

  • Avast Evangelist
  • Super Poster
  • ***
  • Posts: 1639
  • Super(massive black hole) Poster
Hi Pete. Thanks for "dropping in".

Re CPU specs.
I got remote access to one of the PCs in question. For some reason running 'msinfo32.exe' only opened the "Help & Support" Window (XP Pro SP3) so I ran CPU-Z instead (txt file attached).

Re "SafeZone support for AMD Athlon XP processors ceased at some point."
This post by Igor was the source of this info. Sure enough, when I run Google chrome on this PC, I get the attached warning.

I would like to get to the bottom of this. Everyone's trying to help but so far I feel it's been going round in circles.
There is a way that seems right to a man,
       but in the end it leads to death
.” - Proverbs 16:25

Offline drake127

  • Avast team
  • Sr. Member
  • *
  • Posts: 324
Unfortunately, Igor is right. We weren't able to make Chromium work without SSE2 and as a result, we were forced to disable SafeZone on those processors as of 10.0.2206. This makes 9.0.2021 the latest version able to run SafeZone (albeit with old Chromium).

Offline Eddy

  • Avast Evangelist
  • Maybe Bot
  • ***
  • Posts: 31216
  • Watching (over?) you
    • Malware removal, Biljart and other things.
Just a thought.
Have the avast installer/updater detect if a system supports SSE2.
If it does offer the installation of the latest SafeZone and Chrome.
If it doesn't offer the user to install the latest working version on a non SSE2 system.
Ofcourse tell the user they will not be the latest versions but the latest working versions.

Offline Vladimyr

  • Avast Evangelist
  • Super Poster
  • ***
  • Posts: 1639
  • Super(massive black hole) Poster
Thanks drake127
The latest AIS installer I have is for 9.0.2010. I should be able to install this without it automatically downloading the latest version by using Nirsoft Runasdate. If this works out, the customer should be happy at least till his licenses expire at the end of 2015.
There is a way that seems right to a man,
       but in the end it leads to death
.” - Proverbs 16:25

Offline drake127

  • Avast team
  • Sr. Member
  • *
  • Posts: 324
It will not work out. Currently, you can install old version regardless of date but it either won't work well (e.g. certificates might be considered invalid) or it will update automatically to the latest version (you don't want that). If you want to stay on v9, use the latest 9.0.2021 (http://filehippo.com/download_avast_antivirus/58011/)